#include "stdafx.h"

//-----------------------------------------------------------------------
//       .
//      1:
//   find_menu=" "
//-----------------------------------------------------------------------

#define MAX_MENU_STR 1000


TCHAR* find_menu=" ";

void menu_recurse(HMENU hMenu,int& findID)
{

	HMENU subMenu                    ;
	BOOL  fByPosition                ;
    int itemCount                    ;
	int ItemID                       ; 
    TCHAR strMenu[MAX_MENU_STR]            ;
    CString cStr                     ;

	if (findID!=0)
		return;
	if (hMenu==NULL)
		return;


	itemCount=GetMenuItemCount(hMenu);
    fByPosition=TRUE                 ;

    for (int i=0;i<itemCount;i++)
    {
	  ItemID=GetMenuItemID(hMenu,i);
	  GetMenuString(hMenu,ItemID,strMenu,MAX_MENU_STR,MF_BYCOMMAND);
	  cStr=strMenu;
	  cStr.Replace("&","");
	  if (cStr.Find(find_menu)!=-1)
	  {
		  findID=ItemID;
		  return       ;
	  }
	  subMenu=GetSubMenu(hMenu,i);

	  if (subMenu!=NULL)
	  {
		menu_recurse(subMenu,findID) ;
      }

	}
}
//------------------------------------------------------------------------------
int win_recurse(HWND hWnd)
{
	//1: -  ,  4.2"

    TCHAR  title[MAX_MENU_STR];
	TCHAR* title1C="1:";
	int findID=0                  ;       
	HMENU hMenu                   ;
	
	//[in] Specifies the meaning of uItem. If this parameter is FALSE, uItem is a menu item identifier. 
	//Otherwise, it is a menu item position. 

	
	hWnd=GetWindow(hWnd,GW_CHILD)   ;
	while (hWnd !=NULL)
	{    
		if (IsWindowVisible(hWnd)==TRUE)
		{
           GetWindowText(hWnd,title,sizeof(title));
		   
           TCHAR* pos=strstr(title,title1C)        ;
           if (pos != NULL)
		   {
			   hMenu=GetMenu(hWnd)       ;
	           menu_recurse(hMenu,findID);         	
			   if (findID!=0)
			   {
				   SendMessage(hWnd,WM_COMMAND,findID,0);
                   ShowWindow(hWnd,SW_SHOWMAXIMIZED); 
				   return 1;
			   }
		   }
            
		}

		GetWindowText(hWnd,title,sizeof(title)); 
		hWnd=GetWindow(hWnd,GW_HWNDNEXT);
	}
    return 0;
}


int find_1CWindow_DoubleClick()
{
 	// TODO: Place code here.
    HWND hWnd ;

	
	hWnd=GetDesktopWindow();
    return win_recurse(hWnd)      ; 

}
